(function($){
    $.fn.classEventToggle = function(event, receiver, className) {
        this.on(event, function(evt){
            evt.preventDefault();
            if ($(receiver).hasClass(className)) {
                $(receiver).removeClass(className);
            } else {
                $(receiver).addClass(className);
            }
        })
        return this;
    };

    $.fn.classEventAdd = function(event, receiver, className) {
        this.on(event, function(evt){
            evt.preventDefault();
            $(receiver).addClass(className);
        })
        return this;
    };

    $.fn.classEventRemove = function(event, receiver, className) {
        this.on(event, function(evt){
            evt.preventDefault();
            $(receiver).removeClass(className);
        })
        return this;
    };

}(jQuery));
