const gulp = require('gulp'),
      minify = require('gulp-minify');

gulp.task('default', () => {
    gulp.src([
            './src/*.js',
        ])
        .pipe(minify({
            ext: {
                src: '.js',
                min: '.min.js'
            }
        }))
        .pipe(gulp.dest('./dist/'));
});

gulp.task('watch', ['default'], () => {
    gulp.watch('./src/*', ['default']);
});
